%define name        mindustry-server
%define version     144.1
%define release     1
%define buildroot   %{_tmppath}/%{name}-%{version}-%{release}-root
%define debug_package %{nil}

Name:           %{name}
Version:        %{version}
Release:        %{release}
Summary:        The automation tower defense RTS

License:        GPL-3.0
URL:            https://github.com/Anuken/Mindustry
Source0:        https://github.com/Anuken/Mindustry/releases/download/v%{version}/server-release.jar
Requires:       java-17-openjdk

BuildRoot:      %{buildroot}

%description
Mindustry is a hybrid tower-defense sandbox factory game. Create elaborate supply chains of conveyor belts to feed ammo into your turrets, produce materials to use for building, and defend your structures from waves of enemies. Features include a map editor, 24 built-in maps, cross-platform multiplayer and large-scale PvP unit battles.

%prep
%setup -T -c

%build

%install
install -Dm755 %{SOURCE0} "$RPM_BUILD_ROOT/opt/mindustry/server-release.jar"
echo '#!/bin/bash'> mindustry-server
echo java -jar /opt/mindustry/server-release.jar>> mindustry-server
chmod +x mindustry-server
install -Dm755 mindustry-server "$RPM_BUILD_ROOT/usr/bin/mindustry-server"

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/bin/mindustry-server
/opt/mindustry/server-release.jar

%changelog
* Tue Apr 3 2023 - 1.0-1
- Initial RPM release.
